Index: trunk/src/util/signal_handler.cc
===================================================================
--- trunk/src/util/signal_handler.cc	(revision 9391)
+++ trunk/src/util/signal_handler.cc	(revision 9406)
@@ -27,7 +27,16 @@
 }
 
-void SignalHandler::doCatch( std::string appName )
+/**
+ * register signal handlers for SIGSEGV and SIGABRT
+ * @param appName path to executable eg argv[0]
+ * @param fileName filename to append backtrace to
+ */
+void SignalHandler::doCatch( const std::string & appName, const std::string & fileName )
 {
   this->appName = appName;
+  this->fileName = fileName;
+  
+  // make sure doCatch is only called once without calling dontCatch
+  assert( sigRecList.size() == 0 );
 
   catchSignal( SIGSEGV );
@@ -35,4 +44,7 @@
 }
 
+/**
+ * restore previous signal handlers
+ */
 void SignalHandler::dontCatch()
 {
@@ -45,4 +57,8 @@
 }
 
+/**
+ * catch signal sig
+ * @param sig signal to catch
+ */
 void SignalHandler::catchSignal( int sig )
 {
@@ -58,4 +74,8 @@
 }
 
+/**
+ * sigHandler is called when receiving signals
+ * @param sig 
+ */
 void SignalHandler::sigHandler( int sig )
 {
@@ -167,4 +187,6 @@
         )
           charsFound++;
+    else
+      charsFound = 0;
 
     if ( charsFound == 6 )
@@ -183,5 +205,5 @@
   write( sigPipe[1], &someData, sizeof(someData) );
 
-  write( gdbIn[1], "bt\nq\n", 5 );
+  write( gdbIn[1], "bt\nk\nq\n", 7 );
 
   
@@ -202,4 +224,6 @@
         )
           charsFound++;
+    else
+      charsFound = 0;
 
     if ( charsFound == 6 )
@@ -210,5 +234,5 @@
     }
 
-    if ( promptFound == 2 )
+    if ( promptFound == 3 )
     {
       break;
@@ -240,9 +264,9 @@
   bt.insert(0, timeString);
   
-  FILE * f = fopen( GDB_BT_FILE, "a" );
+  FILE * f = fopen( getInstance()->fileName.c_str(), "a" );
 
   if ( !f )
   {
-    perror("could not append to " GDB_BT_FILE);
+    perror( ( std::string( "could not append to " ) + getInstance()->fileName ).c_str() );
     exit(EXIT_FAILURE);
   }
@@ -250,5 +274,5 @@
   if ( fwrite( bt.c_str(), 1, bt.length(), f ) != bt.length() )
   {
-    printf("could not write %d byte to " GDB_BT_FILE, bt.length());
+    printf( ( std::string("could not write %d byte to ") + getInstance()->fileName ).c_str(), bt.length());
     exit(EXIT_FAILURE);
   }
Index: trunk/src/util/signal_handler.h
===================================================================
--- trunk/src/util/signal_handler.h	(revision 9391)
+++ trunk/src/util/signal_handler.h	(revision 9406)
@@ -9,7 +9,4 @@
 #include <list>
 #include <string>
-
-
-#define GDB_BT_FILE "orxonox.backtrace"
 
 typedef int (*SignalCallback)( void * someData );
@@ -44,5 +41,5 @@
     void registerCallback( SignalCallback cb, void * someData );
 
-    void doCatch( std::string appName );
+    void doCatch( const std::string & appName, const std::string & fileName );
     void dontCatch();
 
@@ -58,4 +55,5 @@
 
     std::string appName;
+    std::string fileName;
 };
 
Index: trunk/src/util/singleplayer_shootemup.cc
===================================================================
--- trunk/src/util/singleplayer_shootemup.cc	(revision 9391)
+++ trunk/src/util/singleplayer_shootemup.cc	(revision 9406)
@@ -23,5 +23,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/util/state.cc
===================================================================
--- trunk/src/util/state.cc	(revision 9391)
+++ trunk/src/util/state.cc	(revision 9406)
@@ -25,5 +25,5 @@
 #endif
 
-using namespace std;
+
 
 
Index: trunk/src/util/track/track_manager.cc
===================================================================
--- trunk/src/util/track/track_manager.cc	(revision 9391)
+++ trunk/src/util/track/track_manager.cc	(revision 9406)
@@ -32,5 +32,5 @@
 #include <stdarg.h>
 
-using namespace std;
+
 
 /**
Index: trunk/src/util/track/track_node.cc
===================================================================
--- trunk/src/util/track/track_node.cc	(revision 9391)
+++ trunk/src/util/track/track_node.cc	(revision 9406)
@@ -21,5 +21,5 @@
 #include "track_manager.h"
 
-using namespace std;
+
 
 /**
Index: trunk/src/world_entities/camera.cc
===================================================================
--- trunk/src/world_entities/camera.cc	(revision 9391)
+++ trunk/src/world_entities/camera.cc	(revision 9406)
@@ -17,4 +17,5 @@
 #include "camera.h"
 #include "key_mapper.h"
+#include "glincl.h"
 
 /**
Index: trunk/src/world_entities/character_attributes.cc
===================================================================
--- trunk/src/world_entities/character_attributes.cc	(revision 9391)
+++ trunk/src/world_entities/character_attributes.cc	(revision 9406)
@@ -20,5 +20,5 @@
 #include "stdincl.h" 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/creatures/fps_player.cc
===================================================================
--- trunk/src/world_entities/creatures/fps_player.cc	(revision 9391)
+++ trunk/src/world_entities/creatures/fps_player.cc	(revision 9406)
@@ -276,5 +276,5 @@
 //     if( target != NULL)
 //     {
-//       PRINTF(0)("hit hit hit, got: %s\n", target->getClassName());
+//       PRINTF(0)("hit hit hit, got: %s\n", target->getClassCName());
 //     }
 //     else
@@ -287,5 +287,5 @@
   //dealing damage
 
-  if ( State::isOnline() && SharedNetworkData::getInstance()->isGameServer() )
+  if ( State::isOnline() && (SharedNetworkData::getInstance()->isMasterServer() || SharedNetworkData::getInstance()->isProxyServer()))
   {
     this->damageTicker -= time;
@@ -299,5 +299,5 @@
       if ( victim )
       {
-        PRINTF(0)("FIRE: hit %s\n", victim->getClassName());
+        PRINTF(0)("FIRE: hit %s\n", victim->getClassCName());
         victim->hit( 20, this );
       }
Index: trunk/src/world_entities/effects/billboard.cc
===================================================================
--- trunk/src/world_entities/effects/billboard.cc	(revision 9391)
+++ trunk/src/world_entities/effects/billboard.cc	(revision 9406)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/effects/explosion.cc
===================================================================
--- trunk/src/world_entities/effects/explosion.cc	(revision 9391)
+++ trunk/src/world_entities/effects/explosion.cc	(revision 9406)
@@ -27,5 +27,5 @@
 
 
-using namespace std;
+
 
 CREATE_FAST_FACTORY_STATIC(Explosion, CL_EXPLOSION);
Index: trunk/src/world_entities/effects/lightning_bolt.cc
===================================================================
--- trunk/src/world_entities/effects/lightning_bolt.cc	(revision 9391)
+++ trunk/src/world_entities/effects/lightning_bolt.cc	(revision 9406)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(LightningBolt, CL_LIGHTNING_BOLT);
Index: trunk/src/world_entities/elements/glgui_energywidget.cc
===================================================================
--- trunk/src/world_entities/elements/glgui_energywidget.cc	(revision 9391)
+++ trunk/src/world_entities/elements/glgui_energywidget.cc	(revision 9406)
@@ -17,4 +17,6 @@
 
 #include "glgui_energywidget.h"
+
+#include "multi_type.h"
 
 namespace OrxGui
Index: trunk/src/world_entities/elements/image_entity.cc
===================================================================
--- trunk/src/world_entities/elements/image_entity.cc	(revision 9391)
+++ trunk/src/world_entities/elements/image_entity.cc	(revision 9406)
@@ -27,5 +27,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/elements/text_element.cc
===================================================================
--- trunk/src/world_entities/elements/text_element.cc	(revision 9391)
+++ trunk/src/world_entities/elements/text_element.cc	(revision 9406)
@@ -25,5 +25,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/environment.cc
===================================================================
--- trunk/src/world_entities/environment.cc	(revision 9391)
+++ trunk/src/world_entities/environment.cc	(revision 9406)
@@ -27,5 +27,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 CREATE_FACTORY(Environment, CL_ENVIRONMENT);
 
Index: trunk/src/world_entities/environments/building.cc
===================================================================
--- trunk/src/world_entities/environments/building.cc	(revision 9391)
+++ trunk/src/world_entities/environments/building.cc	(revision 9406)
@@ -21,5 +21,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/environments/mapped_water.cc
===================================================================
--- trunk/src/world_entities/environments/mapped_water.cc	(revision 9391)
+++ trunk/src/world_entities/environments/mapped_water.cc	(revision 9406)
@@ -374,5 +374,5 @@
         waterColorR->setValue(this->waterColor.x);
         waterColorR->setStep(0.1f);
-        waterColorR->connect(SIGNAL(waterColorR, valueChanged), this, SLOT(MappedWater, resetWaterColorR));
+        waterColorR->valueChanged.connect(this, &MappedWater::resetWaterColorR);
         waterColorBox->pack(waterColorR);
 
@@ -381,5 +381,5 @@
         waterColorG->setStep(0.1f);
         waterColorG->setValue(this->waterColor.y);
-        waterColorG->connect(SIGNAL(waterColorG, valueChanged), this, SLOT(MappedWater, resetWaterColorG));
+        waterColorG->valueChanged.connect(this, &MappedWater::resetWaterColorG);
         waterColorBox->pack(waterColorG);
 
@@ -388,5 +388,5 @@
         waterColorB->setStep(0.1f);
         waterColorB->setValue(this->waterColor.z);
-        waterColorB->connect(SIGNAL(waterColorB, valueChanged), this, SLOT(MappedWater, resetWaterColorB));
+        waterColorB->valueChanged.connect(this, &MappedWater::resetWaterColorB);
         waterColorBox->pack(waterColorB);
       }
@@ -403,5 +403,5 @@
         waterUV->setValue(this->waterUV);
         waterUV->setStep(1);
-        waterUV->connect(SIGNAL(waterUV, valueChanged), this, SLOT(MappedWater, setWaterUV));
+        waterUV->valueChanged.connect(this, &MappedWater::setWaterUV);
         waterUVBox->pack(waterUV);
       }
@@ -418,5 +418,5 @@
         waterFlow->setValue(this->waterFlow);
         waterFlow->setStep(0.02f);
-        waterFlow->connect(SIGNAL(waterFlow, valueChanged), this, SLOT(MappedWater, setWaterFlow));
+        waterFlow->valueChanged.connect(this, &MappedWater::setWaterFlow);
         waterFlowBox->pack(waterFlow);
       }
@@ -433,5 +433,5 @@
         shineSize->setValue(this->shineSize);
         shineSize->setStep(1);
-        shineSize->connect(SIGNAL(shineSize, valueChanged), this, SLOT(MappedWater, resetShineSize));
+        shineSize->valueChanged.connect(this, &MappedWater::resetShineSize);
         shineSizeBox->pack(shineSize);
       }
@@ -448,5 +448,5 @@
         shineStrength->setValue(this->shineStrength);
         shineStrength->setStep(0.1f);
-        shineStrength->connect(SIGNAL(shineStrength, valueChanged), this, SLOT(MappedWater, resetShineStrength));
+        shineStrength->valueChanged.connect(this, &MappedWater::resetShineStrength);
         shineStrengthBox->pack(shineStrength);
       }
@@ -463,5 +463,5 @@
         reflStrength->setValue(this->reflStrength);
         reflStrength->setStep(0.1f);
-        reflStrength->connect(SIGNAL(reflStrength, valueChanged), this, SLOT(MappedWater, resetReflStrength));
+        reflStrength->valueChanged.connect(this, &MappedWater::resetReflStrength);
         reflStrengthBox->pack(reflStrength);
       }
@@ -478,5 +478,5 @@
         refraction->setValue(this->refraction);
         refraction->setStep(0.004f);
-        refraction->connect(SIGNAL(refraction, valueChanged), this, SLOT(MappedWater, resetRefraction));
+        refraction->valueChanged.connect(this, &MappedWater::resetRefraction);
         refractionBox->pack(refraction);
       }
@@ -493,5 +493,5 @@
         lightPosX->setValue(this->lightPos.x);
         lightPosX->setStep(15);
-        lightPosX->connect(SIGNAL(lightPosX, valueChanged), this, SLOT(MappedWater, resetLightPosX));
+        lightPosX->valueChanged.connect(this, &MappedWater::resetLightPosX);
         lightPosBox->pack(lightPosX);
 
@@ -500,5 +500,5 @@
         lightPosY->setStep(15);
         lightPosY->setValue(this->lightPos.y);
-        lightPosY->connect(SIGNAL(lightPosY, valueChanged), this, SLOT(MappedWater, resetLightPosY));
+        lightPosY->valueChanged.connect(this, &MappedWater::resetLightPosY);
         lightPosBox->pack(lightPosY);
 
@@ -507,5 +507,5 @@
         lightPosZ->setStep(15);
         lightPosZ->setValue(this->lightPos.z);
-        lightPosZ->connect(SIGNAL(lightPosZ, valueChanged), this, SLOT(MappedWater, resetLightPosZ));
+        lightPosZ->valueChanged.connect(this, &MappedWater::resetLightPosZ);
         lightPosBox->pack(lightPosZ);
       }
@@ -522,5 +522,5 @@
         waterHeight->setValue(this->waterHeight);
         waterHeight->setStep(4);
-        waterHeight->connect(SIGNAL(waterHeight, valueChanged), this, SLOT(MappedWater, setWaterHeight));
+        waterHeight->valueChanged.connect(this, &MappedWater::setWaterHeight);
         waterHeightBox->pack(waterHeight);
       }
Index: trunk/src/world_entities/environments/model_entity.cc
===================================================================
--- trunk/src/world_entities/environments/model_entity.cc	(revision 9391)
+++ trunk/src/world_entities/environments/model_entity.cc	(revision 9406)
@@ -21,5 +21,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/environments/water.cc
===================================================================
--- trunk/src/world_entities/environments/water.cc	(revision 9391)
+++ trunk/src/world_entities/environments/water.cc	(revision 9406)
@@ -32,5 +32,5 @@
 #include "network_game_manager.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(Water, CL_WATER);
Index: trunk/src/world_entities/items/item_container.cc
===================================================================
--- trunk/src/world_entities/items/item_container.cc	(revision 9391)
+++ trunk/src/world_entities/items/item_container.cc	(revision 9406)
@@ -18,5 +18,5 @@
 #include "item_container.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/movie_entity.cc
===================================================================
--- trunk/src/world_entities/movie_entity.cc	(revision 9391)
+++ trunk/src/world_entities/movie_entity.cc	(revision 9406)
@@ -20,5 +20,5 @@
 #include "util/loading/factory.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(MovieEntity, CL_MOVIE_ENTITY);
Index: trunk/src/world_entities/npcs/door.cc
===================================================================
--- trunk/src/world_entities/npcs/door.cc	(revision 9391)
+++ trunk/src/world_entities/npcs/door.cc	(revision 9406)
@@ -28,5 +28,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/npcs/gate.cc
===================================================================
--- trunk/src/world_entities/npcs/gate.cc	(revision 9391)
+++ trunk/src/world_entities/npcs/gate.cc	(revision 9406)
@@ -31,5 +31,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/npcs/ground_turret.cc
===================================================================
--- trunk/src/world_entities/npcs/ground_turret.cc	(revision 9391)
+++ trunk/src/world_entities/npcs/ground_turret.cc	(revision 9406)
@@ -31,5 +31,5 @@
 CREATE_FACTORY(GroundTurret, CL_GROUND_TURRET);
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/npcs/repair_station.cc
===================================================================
--- trunk/src/world_entities/npcs/repair_station.cc	(revision 9391)
+++ trunk/src/world_entities/npcs/repair_station.cc	(revision 9406)
@@ -28,5 +28,5 @@
 
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/planet.cc
===================================================================
--- trunk/src/world_entities/planet.cc	(revision 9391)
+++ trunk/src/world_entities/planet.cc	(revision 9406)
@@ -30,5 +30,5 @@
 #include "primitive_model.h"
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/playable.cc
===================================================================
--- trunk/src/world_entities/playable.cc	(revision 9391)
+++ trunk/src/world_entities/playable.cc	(revision 9406)
@@ -148,5 +148,5 @@
     if (weapon != NULL)
       PRINTF(2)("Unable to add Weapon (%s::%s) to %s::%s\n",
-                weapon->getClassName(), weapon->getName(), this->getClassName(), this->getName());
+                weapon->getClassCName(), weapon->getCName(), this->getClassCName(), this->getCName());
     else
       PRINTF(2)("No weapon defined\n");
@@ -361,28 +361,4 @@
   }
 }
-/**
- * @brief helps us colliding Playables
- * @param entity the Entity to collide
- * @param location where the collision occured.
- */
-void Playable::collidesWith(WorldEntity* entity, const Vector& location)
-{
-  if (entity == collider)
-    return;
-  collider = entity;
-
-  if ( entity->isA(CL_PROJECTILE) && ( !State::isOnline() || SharedNetworkData::getInstance()->isGameServer() ) )
-  {
-    this->decreaseHealth(entity->getHealth() *(float)rand()/(float)RAND_MAX);
-    // EXTREME HACK
-    if (this->getHealth() <= 0.0f)
-    {
-//       this->destory();
-
-      if( State::getGameRules() != NULL)
-        State::getGameRules()->registerKill(Kill(entity, this));
-    }
-  }
-}
 
 
@@ -413,5 +389,5 @@
     }
     this->bDead = true;
-    
+
     if( State::getGameRules() != NULL)
       State::getGameRules()->registerKill(Kill(killer, this));
Index: trunk/src/world_entities/playable.h
===================================================================
--- trunk/src/world_entities/playable.h	(revision 9391)
+++ trunk/src/world_entities/playable.h	(revision 9406)
@@ -82,5 +82,4 @@
   virtual void destroy(WorldEntity* killer);
   virtual void respawn();
-  virtual void collidesWith(WorldEntity* entity, const Vector& location);
   virtual void process(const Event &event);
   virtual void tick(float dt);
@@ -90,5 +89,5 @@
   static const std::string& playmodeToString(Playable::Playmode playmode);
   static const std::string playmodeNames[];
-  
+
   inline bool beFire(){ return this->bFire; }
   inline void fire(bool bF){ this->bFire = bF;}
Index: trunk/src/world_entities/power_ups/laser_power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/laser_power_up.cc	(revision 9391)
+++ trunk/src/world_entities/power_ups/laser_power_up.cc	(revision 9406)
@@ -23,5 +23,5 @@
 #include "primitive_model.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(LaserPowerUp, CL_LASER_POWER_UP);
@@ -78,5 +78,5 @@
 void LaserPowerUp::collidesWith(WorldEntity* entity, const Vector& location)
 {
- // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassName(), entity->getClassName(), location.x, location.y, location.z);
+ // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
  if (entity->isA(CL_PLAYABLE))
   this->toList(OM_DEAD);
Index: trunk/src/world_entities/power_ups/param_power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/param_power_up.cc	(revision 9391)
+++ trunk/src/world_entities/power_ups/param_power_up.cc	(revision 9406)
@@ -26,5 +26,5 @@
 #include "network_game_manager.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(ParamPowerUp, CL_PARAM_POWER_UP);
Index: trunk/src/world_entities/power_ups/power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/power_up.cc	(revision 9391)
+++ trunk/src/world_entities/power_ups/power_up.cc	(revision 9406)
@@ -24,5 +24,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 PowerUp::PowerUp(float r, float g, float b)
@@ -85,9 +85,9 @@
     if (this->pickupBuffer != NULL)
     {
-      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", pickupSound.c_str(), this->getName());
+      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", pickupSound.c_str(), this->getCName());
     }
     else
     {
-      PRINTF(2)("Failed to load sound %s to pickup %s.\n.", pickupSound.c_str(), this->getName());
+      PRINTF(2)("Failed to load sound %s to pickup %s.\n.", pickupSound.c_str(), this->getCName());
     }
   }
@@ -106,9 +106,9 @@
     if (this->respawnBuffer != NULL)
     {
-      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", respawnSound.c_str(), this->getName());
+      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", respawnSound.c_str(), this->getCName());
     }
     else
     {
-      PRINTF(2)("Failed to load sound %s to respawn %s.\n.", respawnSound.c_str(), this->getName());
+      PRINTF(2)("Failed to load sound %s to respawn %s.\n.", respawnSound.c_str(), this->getCName());
     }
   }
Index: trunk/src/world_entities/power_ups/turret_power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/turret_power_up.cc	(revision 9391)
+++ trunk/src/world_entities/power_ups/turret_power_up.cc	(revision 9406)
@@ -23,5 +23,5 @@
 #include "primitive_model.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(TurretPowerUp, CL_TURRET_POWER_UP);
@@ -74,5 +74,5 @@
 void TurretPowerUp::collidesWith(WorldEntity* entity, const Vector& location)
 {
- // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassName(), entity->getClassName(), location.x, location.y, location.z);
+ // PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
  if (entity->isA(CL_PLAYABLE))
    this->toList(OM_DEAD);
Index: trunk/src/world_entities/power_ups/weapon_power_up.cc
===================================================================
--- trunk/src/world_entities/power_ups/weapon_power_up.cc	(revision 9391)
+++ trunk/src/world_entities/power_ups/weapon_power_up.cc	(revision 9406)
@@ -26,5 +26,5 @@
 #include "util/loading/load_param.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(WeaponPowerUp, CL_WEAPON_POWER_UP);
Index: trunk/src/world_entities/projectiles/laser.cc
===================================================================
--- trunk/src/world_entities/projectiles/laser.cc	(revision 9391)
+++ trunk/src/world_entities/projectiles/laser.cc	(revision 9406)
@@ -28,5 +28,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 CREATE_FAST_FACTORY_STATIC(Laser, CL_LASER);
Index: trunk/src/world_entities/projectiles/projectile.cc
===================================================================
--- trunk/src/world_entities/projectiles/projectile.cc	(revision 9391)
+++ trunk/src/world_entities/projectiles/projectile.cc	(revision 9406)
@@ -75,9 +75,9 @@
     if (this->explosionBuffer != NULL)
     {
-      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", explosionSound.c_str(), this->getName());
+      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", explosionSound.c_str(), this->getCName());
     }
     else
     {
-      PRINTF(2)("Failed to load sound %s to explosion %s.\n.", explosionSound.c_str(), this->getName());
+      PRINTF(2)("Failed to load sound %s to explosion %s.\n.", explosionSound.c_str(), this->getCName());
     }
   }
@@ -97,9 +97,9 @@
     if (this->engineBuffer != NULL)
     {
-      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", engineSound.c_str(), this->getName());
+      PRINTF(4)("Loaded sound %s to Pickup: %s.\n", engineSound.c_str(), this->getCName());
     }
     else
     {
-      PRINTF(2)("Failed to load sound %s to engine %s.\n.", engineSound.c_str(), this->getName());
+      PRINTF(2)("Failed to load sound %s to engine %s.\n.", engineSound.c_str(), this->getCName());
     }
   }
Index: trunk/src/world_entities/projectiles/rail_projectile.cc
===================================================================
--- trunk/src/world_entities/projectiles/rail_projectile.cc	(revision 9391)
+++ trunk/src/world_entities/projectiles/rail_projectile.cc	(revision 9406)
@@ -28,5 +28,5 @@
 #include "debug.h"
 
-using namespace std;
+
 
 CREATE_FAST_FACTORY_STATIC(RailProjectile, CL_RAIL_PROJECTILE);
Index: trunk/src/world_entities/recorder.cc
===================================================================
--- trunk/src/world_entities/recorder.cc	(revision 9391)
+++ trunk/src/world_entities/recorder.cc	(revision 9406)
@@ -21,5 +21,5 @@
 #include "state.h"
 
-using namespace std;
+
 
 CREATE_FACTORY(Recorder, CL_RECORDER);
Index: trunk/src/world_entities/satellite.cc
===================================================================
--- trunk/src/world_entities/satellite.cc	(revision 9391)
+++ trunk/src/world_entities/satellite.cc	(revision 9406)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 /**
Index: trunk/src/world_entities/script_trigger.cc
===================================================================
--- trunk/src/world_entities/script_trigger.cc	(revision 9391)
+++ trunk/src/world_entities/script_trigger.cc	(revision 9406)
@@ -63,22 +63,22 @@
   addToScript = false;
   this->activeOnCreation = false;
-  
+
   if(root != NULL)
   {
-    
+
     loadParams(root);
-  
+
     if(addToScript && scriptIsOk)
     {
       script->addObject( "ScriptTrigger", this->getName());
     }
-  
-  }
-  
+
+  }
+
 }
 
 /**
  * Deletes the ScriptTrigger.
- * 
+ *
  */
 ScriptTrigger::~ScriptTrigger()
@@ -147,5 +147,5 @@
   else
   {
-    PRINTF(2)("Target %s for %s::%s does not Exist\n", target.c_str(), this->getClassName(), this->getName());
+    PRINTF(2)("Target %s for %s::%s does not Exist\n", target.c_str(), this->getClassCName(), this->getCName());
   }
 }
@@ -153,5 +153,5 @@
 /**
  * Sets the parent of the trigger.
- * @param parent The parrent. 
+ * @param parent The parrent.
  */
 void ScriptTrigger::setTriggerParent(const std::string& parent)
@@ -166,5 +166,5 @@
   else
   {
-    PRINTF(2)("Parent %s for %s::%s does not Exist\n", parent.c_str(), this->getClassName(), this->getName());
+    PRINTF(2)("Parent %s for %s::%s does not Exist\n", parent.c_str(), this->getClassCName(), this->getCName());
   }
 }
@@ -179,5 +179,5 @@
      return;
    }
-   
+
   if(triggerRemains && scriptCalled)
   {
@@ -185,5 +185,5 @@
     return;
   }
-  
+
   if( !invert && this->distance(target) < radius)
   {
@@ -191,9 +191,9 @@
     scriptCalled = true;
     return;
-  
+
   }
   else if( invert && this->distance(target) > radius)
   {
-    executeAction(timestep); 
+    executeAction(timestep);
     scriptCalled = true;
     return;
@@ -207,5 +207,5 @@
 void ScriptTrigger::executeAction(float timestep)
 {
-  
+
   if(scriptIsOk)
   {
@@ -213,14 +213,14 @@
     if(!(script->selectFunction(this->functionName,returnCount)) )
       PRINT(1)("Error ScriptTrigger: Selection of %s in %s failed.\n",functionName.c_str(), script->getFileName().c_str());
-     
+
     script->pushParam( timestep, this->functionName);
-     
+
     if( !(script->executeFunction()) )
       PRINT(1)("Error ScriptTrigger: Execution of %s in %s failed.\n",functionName.c_str(), script->getFileName().c_str());
-     
+
     scriptFinished = script->getReturnedBool();
   }
-     
-     
+
+
 }
 
@@ -268,5 +268,5 @@
    float retf = script->getReturnedFloat();
    printf("main returned %f\n",retf);
-   
+
 
    printf("-------------------------- top of the stack:%i\n",lua_gettop(script->getLuaState()));
Index: trunk/src/world_entities/skybox.cc
===================================================================
--- trunk/src/world_entities/skybox.cc	(revision 9391)
+++ trunk/src/world_entities/skybox.cc	(revision 9406)
@@ -30,5 +30,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(SkyBox, CL_SKYBOX);
Index: trunk/src/world_entities/skydome.cc
===================================================================
--- trunk/src/world_entities/skydome.cc	(revision 9391)
+++ trunk/src/world_entities/skydome.cc	(revision 9406)
@@ -28,5 +28,5 @@
 #define SQR(x) (x*x)
 
-using namespace std;
+
 
 
Index: trunk/src/world_entities/skysphere.cc
===================================================================
--- trunk/src/world_entities/skysphere.cc	(revision 9391)
+++ trunk/src/world_entities/skysphere.cc	(revision 9406)
@@ -33,5 +33,5 @@
 
 
-using namespace std;
+
 
 /**
Index: trunk/src/world_entities/space_ships/collision_probe.cc
===================================================================
--- trunk/src/world_entities/space_ships/collision_probe.cc	(revision 9391)
+++ trunk/src/world_entities/space_ships/collision_probe.cc	(revision 9406)
@@ -24,5 +24,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(CollisionProbe, CL_COLLISION_PROBE);
Index: trunk/src/world_entities/space_ships/space_ship.cc
===================================================================
--- trunk/src/world_entities/space_ships/space_ship.cc	(revision 9391)
+++ trunk/src/world_entities/space_ships/space_ship.cc	(revision 9406)
@@ -52,5 +52,5 @@
 
 
-using namespace std;
+
 
 CREATE_FACTORY(SpaceShip, CL_SPACE_SHIP);
@@ -314,10 +314,10 @@
   if( entity->isA(CL_PROJECTILE) && entity != ref)
   {
-    if ( isServer() )
+    if ( SharedNetworkData::getInstance()->isMasterServer() || SharedNetworkData::getInstance()->isProxyServer())
     {
       //TODO handle this
     }
   }
-  PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassName(), entity->getClassName(), location.x, location.y, location.z);
+  PRINTF(3)("collision %s vs %s @ (%f,%f,%f)\n", this->getClassCName(), entity->getClassCName(), location.x, location.y, location.z);
 }
 
Index: trunk/src/world_entities/space_ships/spacecraft_2d.cc
===================================================================
--- trunk/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9391)
+++ trunk/src/world_entities/space_ships/spacecraft_2d.cc	(revision 9406)
@@ -324,5 +324,5 @@
 
     default:
-      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassName());
+      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassCName());
   }
 }
@@ -474,5 +474,5 @@
 
     default:
-      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassName());
+      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassCName());
   }
 }
